Page MenuHomePhabricator

Disable memes / image macros in Phabricator
Closed, DeclinedPublic

Tokens
"Baby Tequila" token, awarded by matmarex."The World Burns" token, awarded by Reedy."Pterodactyl" token, awarded by Harej."Heartbreak" token, awarded by mmodell."The World Burns" token, awarded by Bawolff.
Assigned To
Authored By
wctaiwan, May 16 2015

Description

Can we discuss this? I don't think they're appropriate on our public bug tracker.

Event Timeline

wctaiwan created this task.May 16 2015, 6:16 AM
wctaiwan raised the priority of this task from to Needs Triage.
wctaiwan updated the task description. (Show Details)
wctaiwan added a project: Phabricator.
wctaiwan added a subscriber: wctaiwan.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 16 2015, 6:16 AM
mmodell added a subscriber: mmodell.EditedMay 16 2015, 6:23 AM

@wctaiwan: Not appropriate in what way? To me it seems that entirely depends on how they are used. Sure some might be inappropriate but neither is it appropriate to take away the opportunity for having fun while interacting with collaborators/co-workers in a light-hearted way.

lol @MZMcBride. That's perfect.

I thought we had turned them off with serious business mode?

mmodell triaged this task as Normal priority.May 16 2015, 6:25 AM
mmodell moved this task from To Triage to Need discussion on the Phabricator board.
mmodell set Security to None.

The argument for serious business mode was that the user interface should be non-confusing for non-english speaking people. That argument doesn't apply to image macros. It's already possible to simply upload a file and reference it in a comment (example). Using the image macro feature just makes it easier.

I think anything that can be communicated with an image macro can be just as effectively conveyed through less distracting means. While I don't think we're realistically in the danger of having Reddit-like meme threads, restricting images to mockups and such would probably make for discussions that are easier to follow.

(Tangentially, the images take up the whole screen on my display. We should probably reduce the size even if we're going to keep them.)

I will concede that the image size might be a bit excessive.

greg added a subscriber: greg.May 16 2015, 6:40 AM

For what it's worth, you can't even see the macros without being logged in
(you just see the macro name).

/me trying to play along from my phone but can't

While I don't think we're realistically in the danger of having Reddit-like meme threads

You guys are doing a great job proving me wrong. :P

Harej awarded a token.May 16 2015, 8:26 AM
Reedy awarded a token.May 16 2015, 4:19 PM
Qgil added a subscriber: Qgil.May 18 2015, 9:22 AM

I don't think they're appropriate on our public bug tracker.

Like @mmodell, I don see the problem for a bit of graphical fun, pretty much in the same lines than the tokens open to subjective interpretation. If someone uses memes inappropriately, we should act just like we act with users writing inappropriate posts in plaintext.

About the size, this might be even a bug? They were smaller before. Reporting the need of a max size limit smaller than full width seems appropriate.

About the size, this might be even a bug? They were smaller before. Reporting the need of a max size limit smaller than full width seems appropriate.

One bug I noticed, is the feature to play seal sounds really loudly on a loop, appears to be broken... (Unless its just my computer)

I will report upstream that memes are too large and far too silent.

Trying to understand the reasons for this request, so far I see "distracting" and "easier to follow discussions" but I'm not convinced that a technical solution (switching memes off) fixes a (theoretical?) social problem (knowing how to communicating effectively) here so I'd rather decline this request.

wctaiwan closed this task as Declined.May 19 2015, 6:19 PM
wctaiwan claimed this task.

Well, not having the feature certainly preempts any social problems related to the feature. I still don't see the benefit, but I suspect further discussion would not be productive.

Isarra added a subscriber: Isarra.May 19 2015, 6:26 PM

Actually something I'd like to know is why the memes are so damn big in here. Having them completely unscaled is kind of annoying on a slow connection, even socialness aside.

And just imagine what they'd do to mobile users without unlimited data.

Isarra added a comment.EditedMay 19 2015, 6:27 PM

Wait, folks already brought that up, sorry. I seem to have missed most of the comments here because all the new ones loading kept causing my scrolling to jump around. >.<

Quiddity added a comment.EditedMay 20 2015, 12:11 AM

And just imagine what they'd do to mobile users without unlimited data.

I've confirmed that macros do show up in the mobile site, once we're logged-in.

Also can confirm that audio doesn't work in our installation, whereas it does at for example https://secure.phabricator.com/T3887#41567
I hope we don't ever have audio turned on/fixed, here. It's ghastly.

(ah, it only works if we use the plain macroname, not if we use the {fancy code}...)
seal

I'm not a fan of this feature, at all. (and I say that as someone who enjoys image-macros at reddit, and on IRC. Time and place is everything.)

Dzahn added a subscriber: Dzahn.EditedMay 20 2015, 12:22 AM

audio works for me right here. when i scroll up and down it even gets louder when i get "closer" :p

Ah, it works for me too on Quidity's post.

Just to be clear, since I've said a lot of things on this bug sarcastically, I agree with Quiddity. I do not think meme's are appropriate for our bug tracker

So just using the word "seal" on its own line will invoke the audio? Wow that's awful.

And apparently there's a bug so that if you put "seal" on its own line and the auto-generated preview activates, the audio never stops, even after deleting the line and the preview re-auto-generating. Jesus Christ.

(Tangentially, the images take up the whole screen on my display. We should probably reduce the size even if we're going to keep them.)

About the size, this might be even a bug? They were smaller before. Reporting the need of a max size limit smaller than full width seems appropriate.

Made as T99758

So just using the word "seal" on its own line will invoke the audio? Wow that's awful.
And apparently there's a bug so that if you put "seal" on its own line and the auto-generated preview activates, the audio never stops, even after deleting the line and the preview re-auto-generating. Jesus Christ.

and as T99759

Keegan added a subscriber: Keegan.May 20 2015, 6:25 AM
Dzahn added a comment.May 20 2015, 6:25 AM

So just using the word "seal" on its own line will invoke the audio? Wow that's awful.
..there's a bug so that if you put "seal" on its own line ..the audio never stops... Jesus Christ.

@Dzahn Thank you, I wanted to choke on hot coffee. It really livens up a Wednesday morning.